Data APIs
People Enrich
POST
/
data
/
people
/
enrich
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/people/enrich",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={"name": {"first": "Simon", "last": "Willison"}, "social_urls": ["https://github.com/simonw"]},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/people/enrich", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": {
"first": "Simon",
"last": "Willison"
},
"social_urls": [
"https://github.com/simonw"
]
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/people/enrich \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": {
"first": "Simon",
"last": "Willison"
},
"social_urls": [
"https://github.com/simonw"
]
}'{
"match": {
"status": "candidate",
"score": 50,
"person": {
"social_urls": [
"<string>"
],
"website_urls": [
"<string>"
],
"current_role_status": "present",
"experience": [
{
"title": "<string>",
"organization": {
"name": "<string>",
"domain": "<string>"
},
"location": "<string>",
"description": "<string>",
"start_date": {
"year": 123,
"month": 6,
"day": 16
},
"end_date": {
"year": 123,
"month": 6,
"day": 16
},
"is_current": true
}
],
"education": [
{
"institution": {
"name": "<string>",
"domain": "<string>"
},
"degree": "<string>",
"field_of_study": "<string>",
"description": "<string>",
"start_date": {
"year": 123,
"month": 6,
"day": 16
},
"end_date": {
"year": 123,
"month": 6,
"day": 16
}
}
],
"skills": [
"<string>"
],
"name": {
"full": "<string>",
"first": "<string>",
"last": "<string>"
},
"email": "jsmith@example.com",
"avatar_url": "<string>",
"bio": "<string>",
"location": {
"display": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"country_code": "<string>"
},
"current_role": {
"title": "<string>",
"organization": {
"name": "<string>",
"domain": "<string>"
},
"location": "<string>",
"description": "<string>",
"start_date": {
"year": 123,
"month": 6,
"day": 16
},
"end_date": {
"year": 123,
"month": 6,
"day": 16
},
"is_current": true
},
"last_updated": "<string>",
"checked_at": "<string>"
}
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partial": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Maximum string length:
320Show child attributes
Show child attributes
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
enabled, disabled Maximum array length:
20Required string length:
1 - 50Was this page helpful?
⌘I
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/people/enrich",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={"name": {"first": "Simon", "last": "Willison"}, "social_urls": ["https://github.com/simonw"]},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/people/enrich", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": {
"first": "Simon",
"last": "Willison"
},
"social_urls": [
"https://github.com/simonw"
]
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/people/enrich \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": {
"first": "Simon",
"last": "Willison"
},
"social_urls": [
"https://github.com/simonw"
]
}'{
"match": {
"status": "candidate",
"score": 50,
"person": {
"social_urls": [
"<string>"
],
"website_urls": [
"<string>"
],
"current_role_status": "present",
"experience": [
{
"title": "<string>",
"organization": {
"name": "<string>",
"domain": "<string>"
},
"location": "<string>",
"description": "<string>",
"start_date": {
"year": 123,
"month": 6,
"day": 16
},
"end_date": {
"year": 123,
"month": 6,
"day": 16
},
"is_current": true
}
],
"education": [
{
"institution": {
"name": "<string>",
"domain": "<string>"
},
"degree": "<string>",
"field_of_study": "<string>",
"description": "<string>",
"start_date": {
"year": 123,
"month": 6,
"day": 16
},
"end_date": {
"year": 123,
"month": 6,
"day": 16
}
}
],
"skills": [
"<string>"
],
"name": {
"full": "<string>",
"first": "<string>",
"last": "<string>"
},
"email": "jsmith@example.com",
"avatar_url": "<string>",
"bio": "<string>",
"location": {
"display": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"country_code": "<string>"
},
"current_role": {
"title": "<string>",
"organization": {
"name": "<string>",
"domain": "<string>"
},
"location": "<string>",
"description": "<string>",
"start_date": {
"year": 123,
"month": 6,
"day": 16
},
"end_date": {
"year": 123,
"month": 6,
"day": 16
},
"is_current": true
},
"last_updated": "<string>",
"checked_at": "<string>"
}
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partial": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}